package jcg.zheng.demo.model;

public class POJO implements Comparable<POJO> {

	private int age;

	private String name;

	public POJO() {
		super();
	}

	public POJO(String name, int age) {
		super();
		this.name = name;
		this.age = age;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		POJO other = (POJO) obj;
		if (age != other.age)
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		return true;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + age;
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		return result;
	}

	@Override
	public String toString() {
		return "POJO [name=" + name + ", age=" + age + "]";
	}

	@Override
	public int compareTo(POJO o) {
		if (this.age == (o.age))
			return 0;
		else if ((this.age) > (o.age))
			return 1;
		else
			return -1;
	}

}
